/*
* Copyright (c) 京北方信息技术股份有限公司 Corporation 2022 . All rights reserved.
*
*/
package net.northking.cctp.executePlan.db.impl;

import net.northking.cctp.common.db.BasicDao;
import net.northking.cctp.common.db.PaginationService;
import net.northking.cctp.executePlan.db.dao.AtuPlanSceneCaseTaskDao;
import net.northking.cctp.executePlan.db.entity.AtuPlanSceneCaseTask;
import net.northking.cctp.executePlan.db.service.AtuPlanSceneCaseTaskService;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.boot.autoconfigure.condition.ConditionalOnMissingBean;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Set;


/**
 * 计划场景用例节点任务表
 *
 * <p>文件内容由代码生成器产生，请不要手动修改！ <br>
 * createdate:  2022-12-12 16:22:13  <br>
 * @author:  maven-cctp-plugin  <br>
 * @since:  1.0 <br>
 */
@Service
@ConditionalOnMissingBean(name = "AtuPlanSceneCaseTaskServiceImpl")
public class AtuPlanSceneCaseTaskServiceImpl extends PaginationService<AtuPlanSceneCaseTask> implements AtuPlanSceneCaseTaskService
{
private static final Logger logger = LoggerFactory.getLogger(AtuPlanSceneCaseTaskServiceImpl.class);

  private final AtuPlanSceneCaseTaskDao atuPlanSceneCaseTaskDao;

  public AtuPlanSceneCaseTaskServiceImpl(AtuPlanSceneCaseTaskDao atuPlanSceneCaseTaskDao) {this.atuPlanSceneCaseTaskDao = atuPlanSceneCaseTaskDao;}

  @Override
  public BasicDao<AtuPlanSceneCaseTask> getDao() {return atuPlanSceneCaseTaskDao;}

  @Override
  public AtuPlanSceneCaseTask createEntity() { return new AtuPlanSceneCaseTask();}

  @Override
  protected void beforeInsert(AtuPlanSceneCaseTask record) {

  }

  @Override
  protected void beforeUpdate(AtuPlanSceneCaseTask record) {

  }

    @Override
    public Set<String> queryDeviceIdListByTaskId(String taskId) {
        return atuPlanSceneCaseTaskDao.queryDeviceIdListByTaskId(taskId);
    }

    @Override
    public AtuPlanSceneCaseTask queryUnfinishedTaskByTaskId(String taskId) {
        return atuPlanSceneCaseTaskDao.queryUnfinishedTaskByTaskId(taskId);
    }


    @Override
    public AtuPlanSceneCaseTask queryResultFileByTaskIdAndNodeId(AtuPlanSceneCaseTask query) {
        return atuPlanSceneCaseTaskDao.queryResultFileByTaskIdAndNodeId(query);
    }

  @Override
  public List<AtuPlanSceneCaseTask> queryNodeInfo(String taskId) {
    return atuPlanSceneCaseTaskDao.queryNodeInfo(taskId);
  }

    @Override
    public List<String> queryAppIdListByBatchId(String batchId) {
        return this.atuPlanSceneCaseTaskDao.queryAppIdListByBatchId(batchId);
    }

    @Override
    public int deleteByPlanIdLimit(String planId, int num) {
        return this.atuPlanSceneCaseTaskDao.deleteByPlanIdLimit(planId, num);
    }

    @Override
    public int countByPlanId(String planId) {
        return this.atuPlanSceneCaseTaskDao.countByPlanId(planId);
    }

    @Override
    public List<AtuPlanSceneCaseTask> querySceneCaseTasksByTaskIds(List<String> taskIds) {
        return this.atuPlanSceneCaseTaskDao.querySceneCaseTasksByTaskIds(taskIds);
    }

    @Override
    public List<AtuPlanSceneCaseTask> queryExecTimeoutTask(int timeout) {
        return this.atuPlanSceneCaseTaskDao.queryExecTimeoutTask(timeout);
    }


// ----      The End by Generator     ----//




}

